---
title: Change Log
---

# Change Log

<div class="documentation__toc"></div>

## Introduction

All notable changes to this project will be documented in this file.

- `Added` for new features.
- `Changed` for changes in existing functionality.
- `Deprecated` for soon-to-be removed features.
- `Removed` for now removed features.
- `Fixed` for any bug fixes.
- `Security` in case of vulnerabilities.

### Versioning

This project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

### Deprecated Features

Features that are deprecated will generally be removed in the next `minor` update unless noted otherwise.

## Releases

### [2.3.14] - 2020-09-12
#### Fixed
- Fixed issue with trying to access closure as array.

### [2.2.13] - 2020-07-07
#### Fixed
- Check type of sitemap object before dispatching `BuildSitemap`.

### [2.2.12] - 2020-05-20
#### Added
- Added ability to overrde the sitemap URLs index via `BuildSitemap` event.


### [2.2.11] - 2020-05-19
#### Added
- Added ability to overrde the sitemaps index via `GatherSitemaps` event.


### [2.2.10] - 2020-02-19
#### Added
- Added ability to overrde the repository and last mod with closures.


### [2.2.9] - 2020-02-13
#### Added
- Added ability to overrde the output. 


### [2.2.8] - 2019-10-16
#### Fixed
- Fixed cache issue where key was not unique.


### [2.2.7] - 2019-07-30
#### Changed
- Changed `\Anomaly\SitemapExtension\Http\Controller\SitemapController` to leverage new `Hookable` based sitemap entries.

#### Added
- Added `sitemap` and `get_sitemap` hooks for customizing sitemap query results.


### [2.2.6] - 2019-05-09
#### Changed
- Changed package to `laravelium/sitemap`.
- Changed method in which to integrate into the sitemap.
- Changed `composer.json` to include proper support links.
- Changed `composer.json` to use `"anomaly/streams-platform": "^1.6"`.
